<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: double_news_panel.php
| Author : Smokeman
| Email: admin@phpfusion-tips.dk
| Web: http://www.phpfusion-tips.dk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once BASEDIR."maincore.php";

if (file_exists(INFUSIONS."double_news_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."double_news_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."double_news_panel/locale/English.php";
}

opensidex($locale['lap000'], "on");

$qresult=dbquery("SELECT * FROM ".DB_NEWS." ORDER BY RAND() LIMIT 0,5");
if(dbrows($qresult)!=0){
echo "<div class='side-label'><b>".$locale['lap001']."</b></div>\n";
echo "<table width='100%' cellpadding='0' cellspacing='0'>";
while($data=dbarray($qresult)){
echo "<tr>\n<td class='small' align='left'><img src='".THEME."images/bullet.gif' alt='' /> <a href='".BASEDIR."news.php?readmore=".$data['news_id']."' title='".$data['news_subject']."' class='side'> ";
echo trimlink($data['news_subject'], 23)."</a></td>\n<td class='small' align='right'><font color='1a8912'>".$data['news_reads']."</font></td>\n</tr>\n";
}

echo "</table>";
}

echo "<div class='side-label'><b>".$locale['lap002']."</b></div>\n";

$qresult=dbquery("SELECT * FROM ".DB_NEWS." ORDER BY news_reads DESC LIMIT 0,5");
if(dbrows($qresult)!=0){
echo "<table width='100%' cellpadding='0' cellspacing='0'>";
while($data=dbarray($qresult)){
echo "<tr>\n<td class='small' align='left'><img src='".THEME."images/bullet.gif' alt='' /> <a href='".BASEDIR."news.php?readmore".$data['news_id']."' title='".$data['news_subject']."' class='side'> ";
echo trimlink($data['news_subject'], 23)."</a></td>\n<td class='small' align='right'><font color='1a8912'>".$data['news_reads']."</font></td>\n</tr>\n";
}

echo "</table>";
}

echo "<div class='side-label'><b>".$locale['lap003']."</b></div>\n";

echo "<table width='100%' cellspacing='0' cellpadding='0' border='0'>\n<tr>\n
<td class='small'><img src='".THEME."images/bullet.gif' alt='' /><font color='#0066cc'>".$locale['lap004']."</font></td>\n
<td class='small' align='right'><font color='#0066cc'>".dbcount('(*)', DB_NEWS, '')."</font></td>\n
</tr>\n
<tr>\n
<td class='small'><img src='".THEME."images/bullet.gif' alt='' /><font color='#0066cc'>".$locale['lap005']."</font></td>\n
<td class='small' align='right'><font color='#1a8912'>\n";
$result=dbquery("SELECT SUM(news_reads) as ialt FROM ".DB_NEWS."");
echo dbresult($result,0);
echo "</font></td>\n</tr>\n</table>\n";

closesidex();

?>